﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class HealthBar : MonoBehaviour
{
    [SerializeField] Image[] heartReds;
    [SerializeField] Image[] heartGreys;

    public void SetHealth(int health, int healthMax) {
        if (heartReds.Length != heartGreys.Length || heartReds.Length != healthMax) { Debug.Log("health not equal"); }
        for (int i = 0; i < healthMax; i++) {
            heartReds[i].enabled = i < health;
            heartGreys[i].enabled = i >= health;
        }
    }

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
