﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class House : MonoBehaviour
{
    // Start is called before the first frame update
    private AudioSource Aud=null;
    private int numClips=0;
    [SerializeField] AudioClip[] HitSounds;

    void Awake()
    {
        Aud = GetComponent<AudioSource>();
        numClips = HitSounds.Length;
        if (Aud == null || numClips == 0) Destroy(this);
    }

    // Update is called once per frame
    private void OnCollisionEnter(Collision collision) {
        if (collision.gameObject.CompareTag("Player")){
            Aud.clip = HitSounds[Random.Range(0,numClips)];
            Aud.Play();
        }
    }
}
