﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Food : MonoBehaviour
{
    public Vector2 energyRandomRange = new Vector2(0.16f, 0.24f);
    public float energyProvided { get { return Random.Range(energyRandomRange.x, energyRandomRange.y); } }
    public int healthProvided = 1;

    public void DestroyThis() {
        GetComponent<AudioControl>().PlayRandom();
        //gameObject.SetActive(false);
        GetComponent<MeshRenderer>().enabled = false;
        GetComponent<Collider>().enabled = false;
        GetComponent<Gravity>().enabled = false;
    }

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }
}
